Skip to main content
`Ctrl`+`K`

# PetscBagGetNames

Get the names of all entries in the bag

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagGetNames(PetscBag bag, const char *names[])

Not Collective

## Input Parameter

- bag - the bag of values

## Output Parameter

- names - pass in an array of char pointers to hold the names. The array must be as long as the number of items in the bag.

## See Also

`PetscBag`, `PetscBagGetName()`, `PetscBagSetName()`, `PetscBagCreate()`, `PetscBagGetData()` `PetscBagRegisterReal()`, `PetscBagRegisterInt()`, `PetscBagRegisterBool()`, `PetscBagRegisterScalar()`, `PetscBagRegisterEnum()`

## Level

intermediate

## Location

src/sys/classes/bag/bag.c

Index of all Bag routines
Table of Contents for all manual pages
Index of all manual pages